libmwaw::PrinterRect Struct Reference

the AppleŠ rectangle : Rect More...

`#include <MWAWPrinter.hxx>`

## Public Member Functions

Vec2i | size () const
| returns the size More...
Vec2i | pos (int i) const
| returns the position ( 0: leftTop, 1:rightBottom ) More...
bool | read (MWAWInputStreamPtr input, Vec2i const &res)
| read value in a file, knowing the resolution More...

## Protected Attributes

Vec2i | m_pos [2]
| the LT and RB positions More...

## Friends

std::ostream & | operator<< (std::ostream &o, PrinterRect const &r)
| operator << More...

## Detailed Description

the AppleŠ rectangle : Rect

## Member Function Documentation

Vec2i libmwaw::PrinterRect::pos | ( | int | i | ) | const

inline

returns the position ( 0: leftTop, 1:rightBottom )

Referenced by HMWJParser::readPrintInfo(), and HMWKParser::readPrintInfo().

bool libmwaw::PrinterRect::read | ( | MWAWInputStreamPtr | input,
|  | Vec2i const & | res
| ) |  |

read value in a file, knowing the resolution

Referenced by libmwaw::PrinterRectResolution::read().

Vec2i libmwaw::PrinterRect::size | ( |  | ) | const

inline

returns the size

Referenced by HMWJParser::readPrintInfo(), HMWKParser::readPrintInfo(), and MSK4Zone::readPRNT().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PrinterRect const & | r
| ) |  |

friend

operator <<

## Member Data Documentation

Vec2i libmwaw::PrinterRect::m_pos[2]

protected

the LT and RB positions

Referenced by pos(), read(), and size().

The documentation for this struct was generated from the following files:

- MWAWPrinter.hxx
- MWAWPrinter.cxx